MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031996Open CASCADE[OCCT] OCCT:Visualizationpublic2020-12-14 22:052020-12-19 15:22
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031996: Visualization - PhongShading.fs compilation error on OpenGL drivers for AMD Radeon
DescriptionCompilation of sample GLSL program Shaders/PhongShading.fs fails on OpenGL drivers for AMD Radeon with the following error since 0030700:
426:   if (occLight_IsHeadlight (theId) == 0)
...
Fragment shader failed to compile with the following errors:

ERROR: 0:426: error(#162) Wrong operand types: no operation "==" exists that takes a left-hand 
operand of type "bool" and a right operand of type "const int" (or there is no acceptable 
conversion)
Steps To Reproducebugs/vis/bug21753 and several others
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030700closedapn Visualization, TKOpenGl - support PBR Metallic-Roughness shading model 

-  Notes
(0097594)
git (administrator)
2020-12-14 22:07

Branch CR31996 has been created by kgv.

SHA-1: 10fba39ec77b0bad0730c8f7f49e3c2b74baaade


Detailed log of new commits:

Author: kgv
Date: Mon Dec 14 22:07:24 2020 +0300

    0031996: Visualization - PhongShading.fs compilation error on OpenGL drivers for AMD Radeon
    
    Fixed occLight_IsHeadlight() misuse in sample GLSL program.
(0097596)
kgv (developer)
2020-12-15 01:18

Please raise the patch
- OCCT branch: CR31996.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31996-master-KGV/ [^]
(0097742)
bugmaster (administrator)
2020-12-19 14:48

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097778)
git (administrator)
2020-12-19 15:22

Branch CR31996 has been deleted by inv.

SHA-1: 10fba39ec77b0bad0730c8f7f49e3c2b74baaade

- Related Changesets
occt: master 6169ae2d
Timestamp: 2020-12-14 19:07:24
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031996: Visualization - PhongShading.fs compilation error on OpenGL drivers for AMD Radeon

Fixed occLight_IsHeadlight() misuse in sample GLSL program.
mod - src/Shaders/PhongShading.fs Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-14 22:05 kgv New Issue
2020-12-14 22:05 kgv Assigned To => kgv
2020-12-14 22:07 git Note Added: 0097594
2020-12-14 22:09 kgv Relationship added child of 0030700
2020-12-14 22:09 kgv Description Updated View Revisions
2020-12-15 01:18 kgv Note Added: 0097596
2020-12-15 01:18 kgv Assigned To kgv => bugmaster
2020-12-15 01:18 kgv Severity minor => trivial
2020-12-15 01:18 kgv Status new => resolved
2020-12-15 01:18 kgv Status resolved => reviewed
2020-12-19 14:48 bugmaster Note Added: 0097742
2020-12-19 14:48 bugmaster Status reviewed => tested
2020-12-19 14:55 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master 6169ae2d
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:22 git Note Added: 0097778


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker